Bug 473870 - SELinux is preventing nm-system-setti (NetworkManager_t) "unlink" to ./ifcfg-eth0 (etc_t).
SELinux is preventing nm-system-setti (NetworkManager_t) "unlink" to ./ifcfg-...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 02:44 EST by Jan Hutař
Modified: 2009-11-18 04:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 04:32:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux is preventing nm-system-setti (NetworkManager_t) "unlink" to ./ifcfg-eth0 (etc_t). (3.63 KB, text/plain)
2008-12-01 02:44 EST, Jan Hutař
no flags Details

  None (edit)
Description Jan Hutař 2008-12-01 02:44:36 EST
Created attachment 325178 [details]
SELinux is preventing nm-system-setti (NetworkManager_t) "unlink" to ./ifcfg-eth0 (etc_t).

Description of problem:
I have tried to set new wired network connection and from that time I'm getting attached AVCs.


Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.7.0-0.12.svn4326.fc10.x86_64
selinux-policy-targeted-3.5.13-18.fc10.noarch


How reproducible:
always (?)


Steps to Reproduce:
1. I have tried to set new wired network, then removed it
2. now I'm getting these AVCs every time my automatic network is started


Actual results:
attached AVC's


Expected results:
no AVC's


Additional info:
# restorecon -vR /etc/
<no output>
Comment 1 Dan Williams 2009-02-13 07:39:46 EST
Looks like I did allow the NM ifcfg-rh plugin to delete system connections when requested by the user, of course protected with PolicyKit authorizations...  In the near future when we modify ifcfg connections too, this will be more prevalent.  Should probably be allowed by policy.
Comment 2 Jessica Sterling 2009-03-06 17:52:21 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Daniel Walsh 2009-03-07 10:38:05 EST
In Rawhide we have added file context

/etc/sysconfig/network-scripts(/.*)?  gen_context(system_u:object_r:net_conf_t,s0)

and

/etc/sysconfig/network-scripts/ifup.*	gen_context(system_u:object_r:bin_t,s0)
/etc/sysconfig/network-scripts/ifdown.* gen_context(system_u:object_r:bin_t,s0)
/etc/sysconfig/network-scripts/net.* gen_context(system_u:object_r:bin_t,s0)
/etc/sysconfig/network-scripts/init.* gen_context(system_u:object_r:bin_t,s0)

Which should allow networkmanager to adjust the ifcfg-eth* scripts.  net_conf_t is probably the wrong context because this would allow any domain that can write net_conf_t to change the boot configuration include dhclient.

Include NetworkManager, dhcpc (dhclient), openvpn, vpnc, cardmgr
Comment 4 Miroslav Grepl 2009-03-13 08:33:44 EDT
Dan,

do you also suggest to add these changes to F10 ?
Comment 5 Miroslav Grepl 2009-03-16 13:48:04 EDT
Fixed in selinux-policy-3.5.13-49.fc10
Comment 6 Bug Zapper 2009-11-18 04:06:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.